> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener cuenta

> Devuelve un detalle estructural de cuenta visible para el principal de la API pública.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.es.json GET /v1/public/accounts/{account_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}:
    get:
      tags:
        - public-accounts
      summary: Obtener cuenta
      description: >-
        Devuelve un detalle estructural de cuenta visible para el principal de
        la API pública.
      operationId: get_public_account_v1_public_accounts__account_id__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountResponse:
      properties:
        client:
          $ref: '#/components/schemas/AccountClientSummary'
          description: Cliente propietario de la cuenta
        created_at:
          description: Marca de tiempo de creación de cuenta
          format: date-time
          title: Creado el
          type: string
        id:
          description: UUID de la cuenta
          format: uuid
          title: ID
          type: string
        name:
          description: Nombre para mostrar de la cuenta
          title: Nombre
          type: string
        status:
          description: Estado del ciclo de vida de la cuenta
          title: Estado
          type: string
        updated_at:
          description: Marca de tiempo de la última actualización de la cuenta
          format: date-time
          title: Actualizado el
          type: string
      required:
        - id
        - name
        - client
        - status
        - created_at
        - updated_at
      title: AccountResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalle
          type: array
      title: HTTPValidationError
      type: object
    AccountClientSummary:
      description: Resumen estructural de cliente incrustado en las respuestas de cuenta.
      properties:
        id:
          description: Cliente UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Nombre para mostrar del cliente
          title: Nombre
          type: string
      required:
        - id
        - name
      title: AccountClientSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Ubicación
          type: array
        msg:
          title: Mensaje
          type: string
        type:
          title: Tipo de error
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````